package cn.com.qmth.stmms.biz.exam.service;

import java.util.List;
import java.util.Set;

import cn.com.qmth.stmms.biz.exam.model.SubjectiveScore;
import cn.com.qmth.stmms.biz.exam.query.SubjectiveScoreSearchQuery;

public interface SubjectiveScoreService {

    List<Integer> findStudentIdByQuery(SubjectiveScoreSearchQuery query);

    List<SubjectiveScore> findByStudentIdAndGroupNumber(Integer studentId, Integer number);

    Set<Integer> findMainNumberByStudentIdAndUncalculate(Integer studentId, Boolean uncalculate);

    List<SubjectiveScore> findByStudentId(Integer studentId);

}
